﻿.matreshka__container {
  display: flex;
  justify-content: space-around;
  padding: 0 20px;
}
.matreshka__title {
  color: #fff;
  font-weight: 700;
  text-transform: uppercase;
  text-align: center;
  font-size: 22px !important;
  margin-bottom: 25px;
  background-color: #3a4752;
  padding: 10px 0;
  border-radius: 0.5em;
}
.matreshka__item img {
  max-width: 250px;
  width: 100%;
  padding: 0px !important;
  height: auto;
}

.win__matreshka span,
.win__matreshka p {
  color: #8d7a7a !important;
}
.win__matreshka {
  display: none;
  position: relative;
  color: #8d7a7a !important;
}
.win__matreshka p {
  font-family: sans-serif !important;
  font-size: 50px !important;
  text-shadow: 1px 1px 1px #fff!important;
  text-align: center !important;
}
.sale {
  position: absolute;
  top: 20%;
  left: 50%;
  transform: translate(-50%, 50%);
  -webkit-transform: translate(-50%, 50%);
  -moz-transform: translate(-50%, 50%);
  -ms-transform: translate(-50%, 50%);
  -o-transform: translate(-50%, 50%);
}

.grats span,
p.grats {
  color: #f52626 !important;
}
picture.grats:after {
  content: none;
}

.grats:after {
  content: "";
  width: 100%;
  height: 30px;
  position: absolute;
  bottom: -30px;
  left: 0;
  z-index: 2;
  background-size: cover;
  background-image: url(../images/xline.png.pagespeed.ic.HaUQXKH3rT.png);
}
.order_block,
.spin-result-wrapper {
  display: none;
}
.spin-result-wrapper {
  max-width: 100%;
  display: none;
  padding: 0 10px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  top: 0;
  z-index: 9999;
  left: 0;
  height: 100%;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.6);
  text-align: center;
}
.pop-up-window {
  position: relative;
  max-width: 400px;
  right: 0;
  left: 0;
  top: 40%;
  margin: 0 auto;
  background: #fff none repeat scroll 0 0;
  text-align: center;
  padding: 10px;
  padding-top: 70px;
  padding-bottom: 20px;
  border-radius: 10px;
  animation: 0.7s ease 0s normal none 1 running pop-up-appear;
}
@keyframes pop-up-appear {
  0% {
    transform: translateY(-2000px);
  }

  30% {
    transform: translateY(100px);
  }

  100% {
    transform: translateY(0);
  }
}
@media (max-width: 767px) {
  .matreshka__item img {
    max-width: 155px;
  }
  .sale {
    top: 10%;
  }
  .sale {
    top: -4%;
  }
}
@media (max-width: 480px) {
  .sale {
    top: -11%;
  }
}
@media (max-width: 420px) {
  @media (max-width: 400px) {
    .sale {
      top: 15%;
    }
  }
  @media (max-width: 360px) {
    .sale {
      top: 5%;
    }
  }

  @keyframes pop-up-appear {
    0% {
      transform: translateY(-2000px);
    }
    30% {
      transform: translateY(100px);
    }
    100% {
      transform: translateY(0px);
    }
  }
}
.sale-red,
.sale-blue,
.sale-yellow {
  font-size: 50px !important;
}
p.sale {
  display: block !important;
  margin-block-start: 1em !important;
  margin-block-end: 1em !important;
  margin-inline-start: 0px !important;
  margin-inline-end: 0px !important;
  padding: 0 !important;
}
@media screen and (max-width: 400px) {
  .sale-blue,
  .sale-red,
  .sale-yellow,
  .win__matreshka p {
    font-size: 25px !important;
  }
}
.pop-up-window {
  z-index: 3;
  position:relative;
  max-width:400px;
  right:0;
  left:0;

  margin:0 auto;
  background:#fff none repeat scroll 0 0;
  text-align:center;
  padding:10px;
  padding-top:70px;
  padding-bottom:20px;
  border-radius:10px;
  animation:.7s ease 0s normal none 1 running pop-up-appear;
}
.pop-up-window p{
  font-family: sans-serif!important;
    font-size: 16px !important;
    text-align: center !important;
    line-height: 1.7 !important;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    font-weight: 100 !important;
    color: #111!important;
    text-shadow: none!important;
    text-indent: unset!important;
    border: none !important;
}
.pop-up-text{
  font-family: sans-serif!important;
  font-size: 16px !important;
  text-align: center !important;
  line-height: 1.7 !important;
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  font-weight: 100 !important;
  margin: 0 !important;
}

p.ruletka-p.pop-up-text {
  text-align: center !important;
}

.pop-up-window .pop-up-text {
  margin-bottom: 20px !important;
}
.pop-up-heading, .pop-up-button{
  font-family: sans-serif !important;
    line-height: 1.7!important;
      text-shadow: none!important;
}
.pop-up-heading{
  font: 100 40px/1.7 !important;
  margin-bottom:20px !important;
  color: #111!important;
}
.danger-text{
  font: 700 16px/1.7 !important;
  color: red !important;
}
.close-popup{
  position:absolute;
  width:30px;
  height:30px;
  background-image:url(../images/cross.svg);
  background-size:100%;
  top:-40px !important;
  border-radius:50%;
  -webkit-box-shadow:0 0 10px #fff;
  box-shadow:0 0 10px #fff;
  right:-40px;cursor:pointer
}
.pop-up-window {
  position: absolute;
  max-width: 400px;
  width: 85%;
  margin: 0px auto;
  background: #ffffff none repeat scroll 0% 0%;
  text-align: center;
  padding: 10px;
  padding-top: 70px;
  padding-bottom: 20px;
  border-radius: 10px;
  animation: 0.7s ease 0s normal none 1 running pop-up-appear;
  right: auto;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.close-popup {
  position: absolute;
  width: 30px;
  height: 30px;
  background-size: 100%;
  top: -40px;
  border-radius: 50%;
  -webkit-box-shadow: 0 0 10px #fff;
  box-shadow: 0 0 10px #fff;
  right: -40px;
  cursor: pointer;
}
@keyframes pop-up-appear {
  0% {
    transform: translate(-50%, -2000px);
  }
  30% {
    transform: translate(-50%, 100px);
  }
  100% {
    transform: translate(-50%, -50%);
  }
}
@media (max-width: 520px) {
  .close-popup {
    right: 0 !important;
  }
}

.matreshka__wrapper {
  background-image: url(../images/bg1-100.webp);
  /*background-size: cover;*/
  background-position: center center;
  padding-bottom: 10px;
}

.matreshka__container {
}

.matreshka__item img {
  margin: 0px !important;
}

h2.matreshka__title {
  text-align: center;
}

h2.matreshka__title::after {
  display: none;
}

.matreshka__wrapper {
  max-height: 460px;
}

@media screen and (max-width: 768px) {
  .matreshka__wrapper {
    max-height: 430px;
  }
}

@media screen and (max-width: 480px) {
  .matreshka__wrapper {
    max-height: 322px;
  }
}

@media screen and (max-width: 415px) {
  .matreshka__wrapper {
    max-height: 291px;
  }
}

@media screen and (max-width: 400px) {
  .matreshka__wrapper {
    max-height: 284px;
  }
}

@media screen and (max-width: 390px) {
  .matreshka__wrapper {
    max-height: 290px;
  }
}

@media screen and (max-width: 350px) {
  .matreshka__wrapper {
    max-height: 250px;
  }
}

@media screen and (max-width: 321px) {
  .matreshka__wrapper {
    max-height: 260px;
  }
}
.pop-up-button {
  text-transform: uppercase;
  text-decoration: none !important;
  padding: 10px 20%;
  font-size: 20px;
  border-radius: 5px;
  background-color: #71c341;
  color: #fff !important;
  border: medium;
  cursor: pointer;
  outline: medium;
}
.matreshka__wrapper.go_go_dance .matreshka__item {
  -webkit-animation: bounceAndRotate 3s linear infinite;
  -moz-animation: bounceAndRotate 3s linear infinite;
  -ms-animation: bounceAndRotate 3s linear infinite;
  -o-animation: bounceAndRotate 3s linear infinite;
  animation: bounceAndRotate 3s linear infinite;
}

@-webkit-keyframes bounceAndRotate {
  0% {
    -webkit-transform: rotate(0deg);
  }

  25% {
    -webkit-transform: rotate(-10deg);
  }

  50% {
    -webkit-transform: rotate(0deg);
  }

  75% {
    -webkit-transform: rotate(10deg);
  }

  100% {
    -webkit-transform: rotate(0deg);
  }
}
@keyframes bounceAndRotate {
  0% {
    transform: rotate(0deg);
  }

  25% {
    transform: rotate(-10deg);
  }

  50% {
    transform: rotate(0deg);
  }

  75% {
    transform: rotate(10deg);
  }

  100% {
    transform: rotate(0deg);
  }
}